Bug 147078 - I18N - Ide main window doesn't resize to show dropdown component
I18N - Ide main window doesn't resize to show dropdown component
Status: RESOLVED WONTFIX
Product: projects
Classification: Unclassified
Component: Generic Infrastructure
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Milos Kleint
issues@projects
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-12 13:49 UTC by kaa
Modified: 2008-09-16 15:58 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
image (34.42 KB, image/jpeg)
2008-09-12 13:49 UTC, kaa
Details
same combo box on macosx (19.93 KB, image/png)
2008-09-16 08:28 UTC, Milos Kleint
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaa 2008-09-12 13:49:04 UTC
Looks like an obvious issue but I can't find something similar.

Product Version: NetBeans IDE Dev (Build 200809101401)
Java: 1.6.0_06; Java HotSpot(TM) Client VM 10.0-b22
System: Windows XP version 5.1 running on x86; MS932; ja_JP (nb)
I'm running in Japanese locale, using a pseudo localized Netbeans with font size 16 option.

1. Start NetBeans
2. Create JavaApp

There is a dropdown component on the main widow toolbar.
It doesn't resize to show items properly. Manual resize didn't help.

Assumption is that user does not need to manually resize most windows or dialogs to see all of the UI objects and
information in them. I'm running in pseudo localized locale in which each message/label is sometimes longer than in
English. To account for that in some locales, translations from English (and some other euro languages) could be shown
with longer strings.

Also I'm running at font size 16, which is viewed as a valid font size that might be used. Resizing issues are not just
related to i18n; they might show to user in English locale if they run at larger font size.

Often, these issues happen because the length of some label or message or size of entire window is hardcoded vs using
layout managers or other techniques or api to have the windows or the objects in them, dynamically resize.
Comment 1 kaa 2008-09-12 13:49:36 UTC
Created attachment 69749 [details]
image
Comment 2 Peter Pis 2008-09-15 20:42:30 UTC
Reassigning to projects.
Comment 3 Milos Kleint 2008-09-16 08:28:55 UTC
Created attachment 69921 [details]
same combo box on macosx
Comment 4 Milos Kleint 2008-09-16 11:56:30 UTC
well, even for english standard text you can easily loose part of the text that shifts outside of the designated area. I
don't think There's a suitable solution to the problem on our side.

1. we can make the combo box generally wider, but still you will always be able to generate text that doesn't fit.
(please note that the text values in combo are user entered names, not something we have under our control.
2. if we try to update the combo size according to the data content, the only result will be a combo that keeps on
shrinking and expanding as the IDE's context changes (switching from project to project). 

Please note that the list actually shows complete values on macosx (as the attached screenshot shows). That's how the
apple's look and feel decides that combo boxes shall behave though..

closing as wontfix.
Comment 5 Ken Frank 2008-09-16 15:58:16 UTC
I see your point about the length of some item being 
different and combo box cannot or should not show all of that.
That is different than most combo boxes that always have fixed text.

I think the issue was filed just
based on that the words default and 
Customize did not show all of their characters
from the start, before any other config was added.

but we realize that on main ide window with other fixed
sizes of menu items and toolbar things that it 
might not be easy in any case to have this area grow
even to show the default contents.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo